
#include<Arduino.h>
#include<Wire.h>
#include <U8g2lib.h>

U8G2_SSD1306_128X64_NONAME_F_SW_I2C
u8g2(U8G2_R0, /* clock=*/ 12, /* data=*/ 14, /* reset=*/ U8X8_PIN_NONE);   // All Boards without Reset of the Display

const int buttonPin1 = 13;
const int buttonPin2 = 15;
int audio8 = 2;      
int note = 800;      
int led1 = 4;
int led2 = 5;
//int treshold = 300;
//   variables will change:
int buttonState1 = 0;        
int buttonState2 = 0;

void setup() {
  
  u8g2.begin();
  pinMode(buttonPin1, INPUT);
  pinMode(buttonPin2, INPUT);
  pinMode(led1, OUTPUT);
  pinMode(led2, OUTPUT);  
  Serial.begin(115200);
}

void loop() {
  
    u8g2.clearBuffer();
    u8g2.setFont(u8g2_font_7x14B_tr);
    u8g2.drawStr(25,10,"Switch test");
    buttonState1 = digitalRead(buttonPin1);
    buttonState2 = digitalRead(buttonPin2);
 
   if (buttonState1 == 1) {
    //tone(audio8, note);
    digitalWrite(led1, HIGH);
    Serial.println("switch 1 attivato");
    u8g2.drawStr(10,30,"switch1 attivato  ");   
    //u8g2.sendBuffer();
   } else {
    //noTone(audio8);
    digitalWrite(led1, LOW);
    Serial.println("switch1 NON attivato"); 
    u8g2.drawStr(0,30,"switch1 NON attivo");
    //u8g2.sendBuffer(); 
   }

   if (buttonState2 == 1) {
    //tone(audio8, note);
    digitalWrite(led2, HIGH);
    Serial.println("switch 2 attivato");
    u8g2.drawStr(10,50,"switch2 attivato  ");   
    u8g2.sendBuffer();
   } else {
    //noTone(audio8);
    digitalWrite(led2, LOW);
    Serial.println("switch2 NON attivato"); 
    u8g2.drawStr(0,50,"switch2 NON attivo");
    u8g2.sendBuffer(); 
}
   if ((buttonState1 == 1) || (buttonState2 == 1)) {
      tone(audio8, note);
         } else {
    noTone(audio8);
    }
    
  Serial.println(buttonState1);
  Serial.println(buttonState2);
  delay(300);

}
